<script setup lang="ts">
import { useInventoryStore } from '../store/inventory'
const store = useInventoryStore()
</script>
<template>
  <v-dialog v-model="store.isDialogOpen" width="500" persistent>
    <v-card rounded :title="store.titleDialog">
      <v-row class="pa-5">
        <v-col cols="12">
          <v-select
            @update:model-value="(v) => (store.tempInventory.branchId = v)"
            placeholder="Select available branch"
            :items="store.availableBranch"
            :item-value="'id'"
            :item-title="'name'"
            label="Branch"
          >
          </v-select>
        </v-col>
      </v-row>
      <v-card-actions class="justify-end">
        <v-btn color="red" variant="text" @click="store.closeDialog()"> close </v-btn>
        <v-btn color="green" variant="text" @click="store.save()"> save </v-btn>
      </v-card-actions>
    </v-card>
  </v-dialog>
</template>
